Bug 658907 - Update ifcfg-rh plugin's handling of IPv4 manual addresses to match initscripts
Summary: Update ifcfg-rh plugin's handling of IPv4 manual addresses to match initscripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 15:40 UTC by Jirka Klimes
Modified: 2016-01-04 06:02 UTC (History)
2 users (show)

Fixed In Version: NetworkManager-0.8.4-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-23 03:58:28 UTC


Attachments (Terms of Use)
update manual IPv4 addresses handling (6.66 KB, patch)
2010-12-01 15:49 UTC, Jirka Klimes
no flags Details | Diff
update manual IPv4 addresses handling v2 (8.10 KB, patch)
2011-04-12 14:37 UTC, Jirka Klimes
no flags Details | Diff
ifcfg-rh: testcases for the changes (9.11 KB, patch)
2011-04-12 14:39 UTC, Jirka Klimes
no flags Details | Diff

Description Jirka Klimes 2010-12-01 15:40:14 UTC
In bug 633984 initscripts implement new syntax of configuring manual IPv4 addresses besides legacy IP aliases.
Actually, initscripts use the syntax already present in NM ifcfg-rh plugin. However, there are still some differences. This bug should make the implementations do the same things.

Comment 1 Jirka Klimes 2010-12-01 15:49:25 UTC
Created attachment 464031 [details]
update manual IPv4 addresses handling

Comment 2 Dan Williams 2011-02-25 19:18:32 UTC
Can you update the testcases too with a sample ifcfg file using the new syntax?  Then it should be fine to commit...  though one thing the code explicitly did before was convert NETMASK to PREFIX, since NETMASK is old notation.  ie I don't think we should ever write NETMASK back out, just PREFIX.

Comment 3 Jirka Klimes 2011-04-12 14:37:04 UTC
Created attachment 491497 [details]
update manual IPv4 addresses handling v2


Updates handling of IPADDR<n>, PREFIX<n> (NETMASK<n>) and GATEWAY<n> to be compatible with initscripts.

writer:
 - writes the sequence as IPADDR0, IPADDR1, .. IPADDR255
 - NETMASK variables are not written out, just removed

reader:
 - is tolerant when reading the addresses:
   - supports previous IPADDR, IPADDR2, IPADDR3, ...
   - new IPADDR0, IPADDR1, ...
   - and combinations there IPADDR, IPADDR0, IPADDR1 are optional and IPADDR<n>,
     where n>=2 are contiguous.
     E.g.: IPADDR0, IPADDR2, IPADDR3, ...
           IPADDR, IPADDR1, IPADDR2, ...
           IPADDR2, IPADDR3, IPADDR4, ...

Comment 4 Jirka Klimes 2011-04-12 14:39:12 UTC
Created attachment 491498 [details]
ifcfg-rh: testcases for the changes

Comment 5 Jirka Klimes 2011-04-14 16:55:03 UTC
Fixed upstream:

0.8.x:
12d2ed3d4521c00b68237a338747ed243a63de77  (main fix)
a9662641060eb95964ab15c5fbcf8c86eae48fa4  (testcases)
c10fbb21be6c4a3cdf38b6d97b0cc58cb39807c2  (testcases)

master:
ccd39a8cb950a9e154d2e1a5816af84c78819de1  (main fix)
b7b5599fb31935d76c48d802d58e66bd630f4d37  (testcases)

Comment 6 Fedora Update System 2011-04-15 21:43:07 UTC
NetworkManager-0.8.3.999-2.git20110414.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.999-2.git20110414.fc14

Comment 7 Fedora Update System 2011-04-15 21:43:56 UTC
NetworkManager-0.8.3.999-2.git20110414.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.999-2.git20110414.fc13

Comment 8 Fedora Update System 2011-04-16 20:50:36 UTC
Package NetworkManager-0.8.3.999-2.git20110414.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.3.999-2.git20110414.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.999-2.git20110414.fc13
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-04-19 06:44:06 UTC
NetworkManager-0.8.998-3.git20110419.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-3.git20110419.fc15

Comment 10 Fedora Update System 2011-04-20 22:42:56 UTC
NetworkManager-0.8.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-1.fc14

Comment 11 Fedora Update System 2011-04-20 22:44:24 UTC
NetworkManager-0.8.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-1.fc13

Comment 12 Fedora Update System 2011-04-23 03:58:03 UTC
NetworkManager-0.8.998-3.git20110419.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-04-28 02:03:15 UTC
NetworkManager-0.8.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-05-26 21:52:29 UTC
NetworkManager-0.8.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.